org.apache.tiles.core.definition

## Interface DefinitionsFactory

- All Known Implementing Classes:
    UnresolvingLocaleDefinitionsFactory

      public interface DefinitionsFactory

  Interface for creating a `Definition`s and managing their contents.

  DefinitionsFactory implementations are responsible for maintaining the data sources of Tiles configuration data and using the data to create Definitions sets. Implementations also know how to append locale-specific configuration data to an existing Definitions set.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFINITION_DAO_INIT_PARAM` Constant representing the configuration parameter used to define the definition DAO to use.
    `static String` | `DEFINITIONS_CONFIG` Constant representing the configuration parameter used to define the tiles definition resources.
    `static String` | `LOCALE_RESOLVER_IMPL_PROPERTY` Property name that specifies the implementation of `LocaleResolver`.
    `static String` | `READER_IMPL_PROPERTY` Property name that specifies the implementation of the DefinitionsReader.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Definition` | `getDefinition(String name, Request tilesContext)` Returns a Definition object that matches the given name and Tiles context.

- - ### Field Detail

    - #### READER_IMPL_PROPERTY

          static final String READER_IMPL_PROPERTY

      Property name that specifies the implementation of the DefinitionsReader.
      See Also:
        Constant Field Values

    - #### LOCALE_RESOLVER_IMPL_PROPERTY

          static final String LOCALE_RESOLVER_IMPL_PROPERTY

      Property name that specifies the implementation of `LocaleResolver`.
      See Also:
        Constant Field Values

    - #### DEFINITIONS_CONFIG

          static final String DEFINITIONS_CONFIG

      Constant representing the configuration parameter used to define the tiles definition resources.
      Since:
        2.1.0
      See Also:
        Constant Field Values

    - #### DEFINITION_DAO_INIT_PARAM

          static final String DEFINITION_DAO_INIT_PARAM

      Constant representing the configuration parameter used to define the definition DAO to use.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefinition

          Definition getDefinition(String name,
                                   Request tilesContext)

      Returns a Definition object that matches the given name and Tiles context.
      Parameters:
        `name` - The name of the Definition to return.
        `tilesContext` - The Tiles context to use to resolve the definition.
      Returns:
        the Definition matching the given name or null if none is found.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.